Bug 142992 - sysreport does not gather iptables rules
Summary: sysreport does not gather iptables rules
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: sysreport   
(Show other bugs)
Version: 3.0
Hardware: noarch
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-12-15 17:01 UTC by Vinu K
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-24 17:04:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix sysreport code which checks for iptables (132 bytes, patch)
2004-12-15 17:04 UTC, Vinu K
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:089 low SHIPPED_LIVE sysreport bug fix and enhancement update 2005-05-19 04:00:00 UTC

Description Vinu K 2004-12-15 17:01:22 UTC
Description of problem:
The part of the code which extracts details about iptables rules
always fails.  Sysreport does not create a file 'iptables' in the tar
file generated by it.

Version-Release number of selected component (if applicable):
sysreport-1.3.7.2-1

How reproducible:
Always

Steps to Reproduce:
1. run sysreport
2. check the tar file generated by sysreport for the file 'iptables'
  
Actual results:
No file by the name 'iptables'

Expected results:
File named 'iptables' containing iptables rules in the root of the tar
file generated by sysreport. 

Additional info:

Comment 1 Vinu K 2004-12-15 17:04:21 UTC
Created attachment 108632 [details]
Patch to fix sysreport code which checks for iptables

Comment 2 Vinu K 2004-12-15 18:04:01 UTC
Check bugzilla bug#143005 for similar bug on AS2.1
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=143005

Comment 3 Ngo Than 2005-01-24 17:04:58 UTC
it's now fixed in sysreport-1.3.7.2-3, which will be included in
RHEL3-U5. Thanks for your report.


Note You need to log in before you can comment on or make changes to this bug.